Bug 312193 - Odt file with page anchored centered image shows it in wrong position
Summary: Odt file with page anchored centered image shows it in wrong position
Status: RESOLVED FIXED
Alias: None
Product: calligrawords
Classification: Unclassified
Component: opendocument (show other bugs)
Version: 2.5.4
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Calligra Words Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-25 17:35 UTC by Sergio
Modified: 2013-01-13 05:08 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sergio 2012-12-25 17:35:22 UTC
I have an odt file prepared with libreoffice. It includes a page anchored image that should be horizontally centered in the page. When I open the doc, the image has its center on the left border of the page, with only the right half of the figure showing. Trying the property dialog at the smart placement tab, shows that the figure is correctly registered to show at the center of the page, but it doesn't. Only an absolute placement of the figure to some position works.

Reproducible: Always
Comment 1 Camilla Boemann 2012-12-25 17:39:37 UTC
Thanks, and yes it's probably one of the few remaining issues we have with anchor placement
Comment 2 Camilla Boemann 2013-01-11 03:18:41 UTC
I can confirm by creating my own file, like you describe - will fix it now
Comment 3 Camilla Boemann 2013-01-13 05:06:38 UTC
Git commit 3b6b1973f182109e89fc1d40437bb1223c0c6e73 by C. Boemann.
Committed on 12/01/2013 at 05:22.
Pushed by boemann into branch 'master'.

Shape moving restrictions based on anchor properties.

This is the page anchors equivalent of the char and paragraph anchors code we
already have.

This makes a difference both on initial layout (nice improvements)
and on interactive moving of page anchored shapes.

This commit also fixes the default anchoring properties to be the same as in LO.

This commit also fixes it so the page anchored iages doesn't leave empty rects on
page 1 after reload
Related: bug 310715, bug 312982
REVIEW: 108358

M  +10   -1    libs/kotext/KoTextAnchor.cpp
M  +10   -6    plugins/defaultTools/defaulttool/ShapeMoveStrategy.cpp
M  +1    -0    plugins/defaultTools/defaulttool/ShapeMoveStrategy.h
M  +4    -0    words/part/KWCanvasBase.cpp
M  +12   -2    words/part/KWRootAreaProvider.cpp
M  +81   -1    words/part/frames/KWFrameLayout.cpp
M  +2    -0    words/part/frames/KWFrameLayout.h

http://commits.kde.org/calligra/3b6b1973f182109e89fc1d40437bb1223c0c6e73
Comment 4 Camilla Boemann 2013-01-13 05:08:06 UTC
Git commit 2b0ea66ee4d671e3da24776e3228e429d3c8c43c by C. Boemann.
Committed on 12/01/2013 at 05:22.
Pushed by boemann into branch 'calligra/2.6'.

Shape moving restrictions based on anchor properties.

This is the page anchors equivalent of the char and paragraph anchors code we
already have.

This makes a difference both on initial layout (nice improvements)
and on interactive moving of page anchored shapes.

This commit also fixes the default anchoring properties to be the same as in LO.

This commit also fixes it so the page anchored iages doesn't leave empty rects on
page 1 after reload
Related: bug 310715, bug 312982
REVIEW: 108358

M  +10   -1    libs/kotext/KoTextAnchor.cpp
M  +10   -6    plugins/defaultTools/defaulttool/ShapeMoveStrategy.cpp
M  +1    -0    plugins/defaultTools/defaulttool/ShapeMoveStrategy.h
M  +4    -0    words/part/KWCanvasBase.cpp
M  +12   -2    words/part/KWRootAreaProvider.cpp
M  +81   -1    words/part/frames/KWFrameLayout.cpp
M  +2    -0    words/part/frames/KWFrameLayout.h

http://commits.kde.org/calligra/2b0ea66ee4d671e3da24776e3228e429d3c8c43c